# Copyright 1999-2017. Parallels IP Holdings GmbH. All Rights Reserved.
import pum_common as pum

from yum_wrapper import YumWrapper, PumYumBase
from yum import rpmUtils


def main():
    def wrapper_maker(unsafe):
        return YumWrapper(yum_base=PumYumBase(), version_compare=rpmUtils.miscutils.compareEVR, unsafe=unsafe)
    pum.do_main(wrapper_maker)

if __name__ == "__main__":
    main()

# vim: ts=4 sts=4 sw=4 et :
